Retrieve a Data Contract
Get a data contract by ID, fully qualified name, or entity reference
GET
GET /v1/dataContracts/{id}
Retrieve a Data Contract
Get a data contract by its UUID, fully qualified name, or the entity it’s attached to.Get by ID
Get by Fully Qualified Name
UseGET /v1/dataContracts/name/{fqn} with the same query parameters.
Get Effective Contract for Entity
UseGET /v1/dataContracts/entity to get the effective contract for an entity, including inherited properties from its data product.
GET /v1/dataContracts/{id}
Response Fields
SLA expectations (refresh frequency, maximum latency, availability time, time zone, and retention).